Metric
this is mostly useful for heatmaps
serviceId
start time range, unix timestamp, default 24 hours ago
end time range, unix timestamp, default now
OK
9001Unauthorized
Service Unavailable
GET /api/service/{serviceId}/metric/geopoints HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"location": {
"lat": 1,
"lon": 1
},
"requests": 9001
}
]Returns the number of values for a metric
serviceId
Field from list of /api/util/fields
start time range, unix timestamp, default 24 hours ago
end time range, unix timestamp, default now
OK
tx.ReqURL9001Unauthorized
Service Unavailable
GET /api/service/{serviceId}/metric/{field}/count/requests HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"key": "tx.ReqURL",
"requests": 9001
}Returns the number of unique values for a metric
serviceId
Field from list of /api/util/fields
start time range, unix timestamp, default 24 hours ago
end time range, unix timestamp, default now
OK
tx.ReqURL9001Unauthorized
Service Unavailable
GET /api/service/{serviceId}/metric/{field}/countUnique/requests HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"key": "tx.ReqURL",
"requests": 9001
}Returns the Histogram of field by request count
serviceId
Field from list of /api/util/fields
Limit (max 1000, default 10)
start time range, unix timestamp, default 24 hours ago
end time range, unix timestamp, default now
OK
2022-11-14T10:48:00.000ZUnauthorized
Service Unavailable
GET /api/service/{serviceId}/metric/{field}/histogram/requests HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"date": "2022-11-14T10:48:00.000Z",
"histogram": {
"ANY_ADDITIONAL_PROPERTY": {
"requests": 9001
}
}
}
]Returns the Histogram of field by traffic
serviceId
Field from list of /api/util/fields
Limit (max 1000, default 10)
start time range, unix timestamp, default 24 hours ago
end time range, unix timestamp, default now
OK
2022-11-14T10:48:00.000ZUnauthorized
Service Unavailable
GET /api/service/{serviceId}/metric/{field}/histogram/traffic HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"date": "2022-11-14T10:48:00.000Z",
"histogram": {
"ANY_ADDITIONAL_PROPERTY": {
"tx": 35243
}
}
}
]Returns a number of stats about a field
serviceId
Field from list of /api/util/fields
start time range, unix timestamp, default 24 hours ago
end time range, unix timestamp, default now
OK
tx.ReqURLUnauthorized
Service Unavailable
GET /api/service/{serviceId}/metric/{field}/stats HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"avg": 1,
"count": 1,
"key": "tx.ReqURL",
"max": 1,
"min": 1,
"std_deviation": 1,
"sum": 1,
"sum_of_squares": 1,
"variance": 1
}Returns the top x of field by request count
serviceId
Field from list of /api/util/fields
Limit (max 1000, default 10)
start time range, unix timestamp, default 24 hours ago
end time range, unix timestamp, default now
OK
Unauthorized
Service Unavailable
GET /api/service/{serviceId}/metric/{field}/top/requests HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"topList": [
{
"key": "x-cache: hit",
"requests": 9001
}
]
}Returns the top x of field by traffic amount in bytes
serviceId
Field from list of /api/util/fields
Limit (max 1000, default 10)
start time range, unix timestamp, default 24 hours ago
end time range, unix timestamp, default now
OK
Unauthorized
Service Unavailable
GET /api/service/{serviceId}/metric/{field}/top/traffic HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"topList": [
{
"key": "clientasn.asn",
"tx": 35243
}
]
}Last updated
Was this helpful?